summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Valeriy Timchenko2010-05-13 01:00:33 +0200
committer Erik Hanson2010-05-13 01:00:33 +0200
commitdb6946e58852eee98e42d2268770a6bb492e6d05 (patch)
tree1e9d399f4abb28a1ab5ef311070077e8fc211063 /office
parent9360204e79517a470b9c3e57411b0ef8c5df2d6c (diff)
downloadslackbuilds-db6946e58852eee98e42d2268770a6bb492e6d05.tar.gz
office/mupdf: Added to 13.0 repository
Diffstat (limited to 'office')
-rw-r--r--office/mupdf/README8
-rw-r--r--office/mupdf/mupdf.SlackBuild63
-rw-r--r--office/mupdf/mupdf.info10
-rw-r--r--office/mupdf/slack-desc19
4 files changed, 100 insertions, 0 deletions
diff --git a/office/mupdf/README b/office/mupdf/README
new file mode 100644
index 0000000000..e95202a943
--- /dev/null
+++ b/office/mupdf/README
@@ -0,0 +1,8 @@
+MuPDF is a lightweight PDF viewer and toolkit written in portable C.
+
+The renderer in MuPDF is tailored for high quality anti-aliased graphics.
+It renders text with metrics and spacing accurate to within fractions of
+a pixel for the highest fidelity in reproducing the look of a printed page
+on screen.
+
+This requires ftjam or jam (both are available at SlackBuilds.org)
diff --git a/office/mupdf/mupdf.SlackBuild b/office/mupdf/mupdf.SlackBuild
new file mode 100644
index 0000000000..60acd336cb
--- /dev/null
+++ b/office/mupdf/mupdf.SlackBuild
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+# Slackware build script for MuPDF
+
+# Written by Valeriy Timchenko <ValTimchenko@gmail.com>
+
+PRGNAM=mupdf
+VERSION=${VERSION:-r934}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+ JAMOSPLAT="x86"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+ JAMOSPLAT="x86"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ JAMOSPLAT="x64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+OPTIM="$SLKFLAGS" jam -a "-sBUILD=slackware"
+
+mkdir -p $PKG/usr/bin
+for i in mupdf pdfclean pdfdraw pdfextract pdfinfo pdfshow ; do
+ install -m 0755 build/linux-$JAMOSPLAT-slackware/$i $PKG/usr/bin ;
+ strip --strip-unneeded $PKG/usr/bin/$i
+done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/mupdf/mupdf.info b/office/mupdf/mupdf.info
new file mode 100644
index 0000000000..739d98f3fb
--- /dev/null
+++ b/office/mupdf/mupdf.info
@@ -0,0 +1,10 @@
+PRGNAM="mupdf"
+VERSION="r934"
+HOMEPAGE="http://ccxvii.net/mupdf/"
+DOWNLOAD="http://ccxvii.net/mupdf/download/mupdf-r934.tar.gz"
+MD5SUM="8f0894af7bc8e150d7e378277e158c46"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Valeriy Timchenko"
+EMAIL="ValTimchenko@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/office/mupdf/slack-desc b/office/mupdf/slack-desc
new file mode 100644
index 0000000000..3ecf1e759e
--- /dev/null
+++ b/office/mupdf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mupdf: MuPDF (Lightweight PDF viewer and toolkit)
+mupdf:
+mupdf: MuPDF is a lightweight PFG reader. The renderer in MuPDF is tailored
+mupdf: for high quality anti-aliased graphics. It also has tools, that can
+mupdf: be used to convert PDF file to PNM image files, decrypt, encrypt and
+mupdf: decompress PDF files, show internal objects, extract fonts and images
+mupdf: and display information about resources in a PDF file.
+mupdf:
+mupdf: Mupdf home page is: http://ccxvii.net/mupdf/
+mupdf:
+mupdf: \ No newline at end of file